Package be.ehealth.businessconnector.mycarenet.memberdatacommons.exception

# Enum Class MemberDataBusinessConnectorExceptionValues

java.lang.Object
java.lang.Enum<MemberDataBusinessConnectorExceptionValues>
be.ehealth.businessconnector.mycarenet.memberdatacommons.exception.MemberDataBusinessConnectorExceptionValues

All Implemented Interfaces:
  `Serializable`, `Comparable<MemberDataBusinessConnectorExceptionValues>`, `java.lang.constant.Constable`

public enum MemberDataBusinessConnectorExceptionValues extends Enum<MemberDataBusinessConnectorExceptionValues>
Enumeration for possible MemberData Sync business exceptions

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PARAMETER_NULL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorCode()`
  `String`
  `getMessage()`
  `static MemberDataBusinessConnectorExceptionValues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MemberDataBusinessConnectorExceptionValues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PARAMETER_NULL

    public static final MemberDataBusinessConnectorExceptionValues PARAMETER_NULL

- ## Method Details

  - ### values

    public static MemberDataBusinessConnectorExceptionValues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MemberDataBusinessConnectorExceptionValues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getErrorCode

    public String getErrorCode()
    Returns:
      the errorCode

  - ### getMessage

    public String getMessage()
    Returns:
      the message